Subject: Re: bug#7028: 24.0.50; incomplete ns protocol implementations in nsmenu

From: Alan Third <[email-masked]>
Date: Sun, 27 Nov 2016 14:00:12 +0000

Derrell Piper <[email-masked]> writes:

> The current GNUstep trunk is giving warnings about not completely
> implementing these protocols (10.6.4, Xcode 3.2.4, MacOSX10.6.sdk):
>
> gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/ddp/src/emacs/src            >    -MMD -MF deps/nsmenu.d  -Wimplicit-function-declaration -Wold-style-defi> nition -Wdeclaration-after-statement -Wno-pointer-sign  -g -O2  nsmenu.m
> nsmenu.m: In function ‘ns_update_menubar’:
> nsmenu.m:461: warning: class 'EmacsMenu' does not implement the 'NSMenuDele> gate' protocol
> nsmenu.m: In function ‘-[EmacsMenu initWithTitle:frame:]’:
> nsmenu.m:552: warning: class 'EmacsMenu' does not implement the 'NSMenuDele> gate' protocol
> nsmenu.m: In function ‘-[EmacsMenu fillWithWidgetValue:]’:
> nsmenu.m:717: warning: ‘sizeToFit’ is deprecated (declared > at /System/Library/Frameworks/AppKit.framework/Headers/NSMenu.h:281)
> nsmenu.m: In function ‘-[EmacsToolbar initForView:withIdentifier:]> ’:
> nsmenu.m:1126: warning: class 'EmacsToolbar' does not implement the 'NSTool> barDelegate' protocol
> nsmenu.m: In function ‘-[EmacsTooltip init]’:
> nsmenu.m:1257: warning: class 'EmacsTooltip' does not implement the 'NSWind> owDelegate' protocol

I can't reproduce these warnings on the current master on macOS 10.12. I
get plenty of others warnings, just not these.

I think it's safe to assume this has been sorted at some point in the
last six years. If you still see these, please let us know.
-- 
Alan Third